- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
X Window Destroy Functions
Ecore_X - X11 Integration

Functions to destroy X windows. More...

## Functions
void | ecore_x_window_free (Ecore_X_Window win)
| Deletes the given window. More...
void | ecore_x_window_delete_request_send (Ecore_X_Window win)
| Sends a delete request to the given window. More...

## Detailed Description

Functions to destroy X windows.

## Function Documentation

void ecore_x_window_free | ( | Ecore_X_Window | win | ) |

Deletes the given window.

Parameters

  win | The given window.

References ecore_x_sync().

Referenced by ecore_x_e_window_profile_supported_set(), and ecore_x_e_window_rotation_supported_set().

void ecore_x_window_delete_request_send | ( | Ecore_X_Window | win | ) |

Sends a delete request to the given window.

Parameters

  win | The given window.

References ecore_x_client_message32_send(), and ecore_x_sync().